

/*RUNNING MULTILEVEL MODELS
In the next lines the different models reported in the paper are estimated */

set more off


/*MAIN MODELS REPORTED 
First line runs model
Second line obtains marginal effects in terms of log-odds
Third/Fourth lines (where applicable) obtain predicted probabilities*/

  
//////////////////////////////////////
//Identity ///////////////////////////
//////////////////////////////////////

//2005  
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##c.identity if eb64 == 1 & country != 29 & country != 30 || country:
margins, dydx(identity) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 identity = (3 4))

//2010
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##c.identity if eb73 == 1 & country != 29 & country != 30 || country:
margins, dydx(identity) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 identity = (3 4))

//2012
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##c.identity if eb77 == 1 & country != 29 & country != 30 || country:
margins, dydx(identity) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 identity = (3 4))

//2013 (1)
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##c.identity if eb79 == 1 & country != 29 & country != 30 || country:
margins, dydx(identity) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 identity = (3 4))

//2013 (2)
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##c.identity if eb80 == 1 & country != 29 & country != 30 || country:
margins, dydx(identity) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 identity = (3 4))


//////////////////////////////////////
//Benefit from EU ////////////////////
//////////////////////////////////////

//2005
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##benefit_eu if eb64 == 1 & country != 29 & country != 30 || country:
margins, dydx(benefit_eu) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 benefit_eu = (0 1))

//2007
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##benefit_eu if eb67 == 1 & country != 29 & country != 30 || country:
margins, dydx(benefit_eu) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 benefit_eu = (0 1))

//2008
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##benefit_eu if eb69 == 1 & country != 29 & country != 30 || country:
margins, dydx(benefit_eu) at(emu = (0 1)) predict(xb fixedonly) vsquish

//2009
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##benefit_eu if eb71 == 1 & country != 29 & country != 30 || country:
margins, dydx(benefit_eu) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 benefit_eu = (0 1))

//2010
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##benefit_eu if eb73 == 1 & country != 29 & country != 30 || country:
margins, dydx(benefit_eu) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 benefit_eu = (0 1))

//2011
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##benefit_eu if eb75 == 1 & country != 29 & country != 30 || country:
margins, dydx(benefit_eu) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 benefit_eu = (0 1))


//////////////////////////////////////
//EU most capable actor //////////////
//////////////////////////////////////

//2009
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##eu_capable if eb71 == 1 || country:
margins, dydx(eu_capable) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 eu_capable = (0 1))

//2010
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##eu_capable if eb73 == 1 || country:
margins, dydx(eu_capable) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 eu_capable = (0 1))

//2011
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##eu_capable if eb75 == 1 || country:
margins, dydx(eu_capable) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 eu_capable = (0 1))

//2012
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##eu_capable if eb77 == 1 || country:
margins, dydx(eu_capable) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 eu_capable = (0 1))

//2013 (1)
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##eu_capable if eb79 == 1 || country:
margins, dydx(eu_capable) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 eu_capable = (0 1))

//2013 (2)
xtmelogit single_currency gender age i.education_3c i.occupation_5c emu##eu_capable if eb80 == 1 || country:
margins, dydx(eu_capable) at(emu = (0 1)) predict(xb fixedonly) vsquish
margins, pwcompare predict(fixedonly) at(gender = 1 age = 47 education_3c = 2 occupation_5c =1 emu = 1 eu_capable = (0 1))

